For the complete documentation index, see llms.txt. This page is also available as Markdown.

Addresses

Get addresses

get
/addresses/

This api is used to sync addresses with WorkorderApp. An address should always be related to a certain client and can have a main contact person associated with it. adr_code is used as a unique reference to either insert or update the address. Each address record can contain the following data:

Parameter
Description
Required
Type (size)

adr_debtor_nr

Debtor number of the relation

Y

Varchar (255)

adr_code

Unique code of the address. Used as reference in the workorder.

Y

Varchar (255)

adr_cpn_code

Contact person code of the address

N

Varchar (255)

adr_name

Name for the address record

N

Varchar(255)

adr_line_1

Address line. Usually street and number.

Y

Varchar (255)

adr_zip

Zipcode of the address

Y

Varchar (255)

adr_city

City of the adress

Y

Varchar (255)

adr_country

Country of the address

N

Varchar (255)

adr_remark

Remark of the address

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/addresses/
GET /addresses/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add addresses

post
/addresses/

This api is used to sync addresses with WorkorderApp. An address should always be related to a certain client and can have a main contact person associated with it. adr_code is used as a unique reference to either insert or update the address. Each address record can contain the following data:

Parameter
Description
Required
Type (size)

adr_debtor_nr

Debtor number of the relation

Y

Varchar (255)

adr_code

Unique code of the address. Used as reference in the workorder.

Y

Varchar (255)

adr_cpn_code

Contact person code of the address

N

Varchar (255)

adr_name

Name for the address record

N

Varchar(255)

adr_line_1

Address line. Usually street and number.

Y

Varchar (255)

adr_zip

Zipcode of the address

Y

Varchar (255)

adr_city

City of the adress

Y

Varchar (255)

adr_country

Country of the address

N

Varchar (255)

adr_remark

Remark of the address

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/addresses/
POST /addresses/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Get addresses by filter

get
/address/

This api is used to fetch addresses based on a filter. Filters can be given by adding a key and values array to the URL. Adding a single filter: &key=key1&value=value1 Adding multiple filters: &key[]=key1&value[]=value1&key[]=key2&value[]=value2

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
keystringOptionalExample: adr_debtor_nr
valueintegerOptionalExample: 2082092
Responses
200

Response_200

No content

get/address/
GET /address/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?